:target {
    scroll-margin-top:52px; 
}

body {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
  background-color: #fafafa;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.navWrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-content: center;
  align-items: center;
  z-index: 2000;
  position: sticky;
  top: 0px;
  background-color: white;
}

.bruktdelLogoLink {
  flex: 2;
  align-self: center;
  display: flex;
  justify-content: center;
}

.topmenu {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 52px;
    width: 100%;
    max-width: 1440px;
    padding-left: 20px;
    padding-right: 20px;
    position: relative;
}

nav.topmenu::after {
  content: "";
  position: absolute;
  left: 20px;
  right: 20px;
  bottom: 0;
  border-bottom: 1px solid black;
}

nav.topmenu .bruktdelLogo {
  height: auto;
  max-width: 115px;
  width: 30vw;
}

nav.topmenu img {
  width: 8vw;
  max-width: 30px;
}

nav.topmenu .rightSideWrapper {
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  justify-content: flex-end;
  flex: 1;
}

.menuWrapper {
  position: relative;
  flex: 1;
}

.menuContent {
    width: clamp(300px, 90vw, 1400px);
    background-color: #f2f2f2;
    position: absolute;
    margin-top: 30px;
    display: none;
    padding: 1em 1em 2em 1em;
    box-sizing: border-box;
    font-family: poppins, sans-serif;
    font-weight: 400;
    z-index: 100;
    max-height: 80vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.menuContent h3 {
  font-size: 18px;
  line-height: 27px;
  padding: 10px 10px;
  font-weight: 400;
  box-sizing: border-box;
  border-top: solid 1px rgba(153, 153, 153, 0.5);
  border-bottom: solid 1px rgba(153, 153, 153, 0.5);
}

.menuSection {
  width: 260px;
}

.menuContent ul {
  padding-left: 0;
}

.menuContent li {
  list-style-type: none;
  margin-bottom: 10px;
  font-size: 20px;
  padding-left: 10px;
}

.showMenu {
  display: flex;
  flex-flow: row wrap;
  gap: 40px;
}

.unstyledButton {
  border: none;
  background-color: inherit;
}

.unstyledButton img {
  width: 20px;
  height: 20px;
}

.menubtn {
  border: none;
  background-color: inherit;
}

.menubtn img {
  width: 20px;
  height: 20px;
}

.menubtn:hover {
  cursor: pointer;
}

.menubtntoggle {
  transform: rotate(90deg);
}

.greenDot {
  position: absolute;
  top: 0;
  right: 0;
  width: 10px;
  height: 10px;
  background-color: #69B356;
  border-radius: 50%;
  display: none;
}

.carInformationContainer {
  max-width: 1440px;
  width: 100%;
  top: 10px;
  margin: 0 auto;
  position: sticky;
  top:20px;
  z-index: 1000;
  background-color: white;

}

@media(min-width: 992px){
    .carInformationContainer{
        top: 108px;
    }
}

.carInformationRemove {
  margin-top: 1em;
  margin-right: 1.5em;
}

.carInformationRemove button {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  color: inherit;
  font: inherit;
  cursor: pointer;
  font-size: 14px;
  margin-left: 0.4em;
}

.carInformationRemove button img {
  margin-right: 0.4em;
}

.carInformationContent {
  display: none;
  width: 100%;
  
  z-index: 1;
  background-color: white;
  
  right: 1.2em;
  border-radius: 0px 0px 6px 6px;
  border-right: 1px solid #E0E0E0;
  border-bottom: 1px solid #E0E0E0;
  border-left: 1px solid #E0E0E0;
  background: var(--Grey-100, #FFF);
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
}

.carInformationList {
    display: flex;
    flex-wrap: wrap;
    gap: 0px 30px;
    padding-left: 10px;
}


.carInfoEmptyContent {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 0.5em;
    padding-left: 1em;
    padding-right: 1em;
}

.carInformationRemove {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.carInformationValuesContainer {
  margin-top: 1em;
}

.carInformationKey {
  color: var(--Grey-400, #4A4F55);
  font-family: Roboto;
  font-size: 0.7em;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  margin-bottom: -5px;
}

.carInformationValue {
  color: var(--Grey-500, #000);
  font-family: Roboto;
  font-size: 1em;
  font-style: normal;
  font-weight: 400;
  /*line-height: 36px;*/
  margin-bottom: 0.2em;
}

.inquiry-wrapper {
  padding-left: 1em;
  padding-right: 1em;
  padding-top: 1em;
}

.inquiry-header {
  padding-left: 1em;
}

@media (min-width: 992px) {
  nav.topmenu .rightSideWrapper {
    gap: 40px;
  }

  nav.topmenu .rightSideWrapper #showCartButton {
    padding-right: 20px;
  }

  .carInformationContent {
    right: 5em;
    
  }

  .carInformationKey {
    color: var(--Grey-400, #4A4F55);
    font-family: Roboto;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
  }

  .carInformationValue {
    color: var(--Grey-500, #000);
    font-family: Roboto;
    font-size: 22px;
    font-style: normal;
    font-weight: 400;
    line-height: 36px;
  }

  .unstyledButton img,
  .menubtn img {
    width: 32px;
    height: 32px;
  }

  nav.topmenu .bruktdelLogo {
    max-width: 200px;
  }

  nav.topmenu {
    height: 108px;
  }

  :target {
      scroll-margin-top: 108px;
  }

  nav.topmenu::after {
    left: 0;
    right: 0;
  }

  .inquiry-header {
    padding-left: 0;
  }
}

.form-control.digit-input {
    width: 40px;
    height: 60px;
    font-size: 28px;
}


@view-transition {
    navigation: auto;
}

.partdetails-grid {
    display: grid;
    grid-template-columns: 1fr; /* Mobile: single column */
    gap: 1rem;
    padding-left: 1em;
    padding-right: 1em;
}

.partdetails-top {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 20px;
    padding-left: 1em;
    padding-right: 1em;
}

.partdetails-footer {
    padding-left: 1em;
    padding-right: 1em;
}

@media (min-width: 900px) {
    .partdetails-top {
        display: grid;
        grid-template-columns: 60% 40%;
        padding-left: 50px;
        padding-right: 50px;
    }
}
.partdetails-partcontext {
    background-color: white;
    padding: 10px;
}

    @media (min-width: 900px) {
        .partdetails-grid {
            padding-left: 50px;
            padding-right: 50px;
            grid-template-columns: 60% 40%;
            grid-gap: 20px;
            grid-template-areas:
                "b a"
                "b d";
        }

        .partdetails-partcontext {
            align-self: center;
        }

       

        .a {
            grid-area: a;
        }

        .b {
            grid-area: b;
        }

        .c {
            grid-area: c;
        }

        .d {
            grid-area: d;
        }

        .list-group__dealer li {
            border: none;
        }
    }

.active-filters-list{
      display: flex
;
    flex-wrap: wrap;
    gap: 10px;
}

.active-filter-chip {
    background: #dddddd;
    border-radius: 16px;
    padding: 4px 12px 4px 8px;
    margin: 2px 4px 2px 0;
    display: block;
    position: relative;
    font-size: 1em;
    transition: background 0.2s;
    cursor: pointer;
    text-wrap: balance;
    text-align:center;
    width: 80%;
    
}

    .active-filter-chip:hover {
        background: #b2ebf2;
    }

    .active-filter-chip::after {
        content: ' \00d7'; /* Unicode multiplication sign (�) */
        color: #d32f2f;
        font-weight: bold;
        margin-left: 6px;
        font-size: 1.5em;
        vertical-align: middle;
        pointer-events: none;
    }

.active-filter-label {
    color: #1976d2;
    text-decoration: underline;
    font-weight: 500;
}
.filterSearchButton{
  background-color: #19549a;
}

.filterGroup {

}
.priceinfo {
    margin-top: 29px;
    margin-bottom: 10px;
    display: block;
    font-size: 2em;
}


.inquiryInfoBanner {
    background-color: #ff35352b;
    width: 80%;
    padding: 10px;
    border: 1px solid;
    text-align: center;
}